/* vim: set sw=8 ts=8 si et: */

/*
 * Author: Guido Socher (guido(Q)linuxfocus.org). This program is distributed
 * under the terms of the Gnu Public License (GPL).
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <gtk/gtk.h>

static GtkWidget *entry;
/*
 * quit the whole application and print the text
 */
static void byebye(GtkWidget * widget, gpointer data){
        printf("%s",gtk_entry_get_text(GTK_ENTRY(entry))); 
	gtk_exit (0);
}

int main(int argc, char *argv[]){

	GtkWidget *vbox,*label,*mainwindow;
        gchar *labeltxt;

	/* parse GTK command line and take out gtk args. The rest is
         * still in argv[] */
	gtk_init(&argc, &argv);
        labeltxt="password:";
        if (argc > 1){
                labeltxt=argv[1];
        }
	

	mainwindow = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	/* border size */
	gtk_container_border_width( GTK_CONTAINER(mainwindow), 5);
	gtk_window_set_title( GTK_WINDOW(mainwindow), "gpppquery");
	/* handle delete_event, usually by the 'close' option */
	gtk_signal_connect(GTK_OBJECT(mainwindow), "delete_event",
		GTK_SIGNAL_FUNC(byebye), NULL);
        gtk_signal_connect(GTK_OBJECT(mainwindow), "destroy",
                GTK_SIGNAL_FUNC(byebye), NULL);
	

	/* set up the boxes to do the packing: */
	vbox = gtk_vbox_new(FALSE,0); /* 0=no border */
	gtk_container_add(GTK_CONTAINER (mainwindow), vbox);


	label = gtk_label_new(labeltxt);
        /* put the label into the box: */
	gtk_box_pack_start(GTK_BOX (vbox), label,FALSE,FALSE,0);


	entry = gtk_entry_new(); 
	gtk_box_pack_start(GTK_BOX (vbox), entry,FALSE,FALSE,0);
        gtk_signal_connect(GTK_OBJECT(entry), "activate",
                GTK_SIGNAL_FUNC(byebye), NULL);
	
	/* yeaaaaa GUI is ready */
	gtk_widget_show(label);
	gtk_widget_show(entry);
	gtk_widget_show(vbox);
	gtk_widget_show(mainwindow);

	/* go to main loop */
	gtk_main();
	return 0;
}

